Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001415Zandronum[All Projects] Suggestionpublic2013-07-19 08:042018-09-30 21:34
ReporterEsum 
Assigned ToTorr Samaho 
PrioritynormalSeverityminorReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.1.1 
Target VersionFixed in Version1.2 
Summary0001415: Prevent the error_fatal and error commands from being used with ConsoleCommand()
DescriptionConsoleCommand can be use with the error_fatal and error commands and I don't think it should since the exit and quit commands are already blocked.
Attached Files

- Relationships
related to 0001070newDusk Phasing out the dangerous ConsoleCommand for various additional/improved ACS commands 

-  Notes
User avatar (0006710)
Lego_CS (reporter)
2013-07-19 14:39
edited on: 2013-07-19 14:39

I believe this report would be related to Ijon's proposal of outright removing ConsoleCommand():
http://zandronum.com/tracker/view.php?id=1070 [^]

User avatar (0006711)
Konar6 (reporter)
2013-07-19 19:05

ConsoleCommand as a method to execute arbitrary commands should be just deprecated right now and removed in the next release or two...
User avatar (0006718)
Torr Samaho (administrator)
2013-07-21 07:13

I'll block these commands.
User avatar (0006741)
Torr Samaho (administrator)
2013-07-21 20:05

Alright, these three commands are blocked now.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2013-07-19 08:04 Esum New Issue
2013-07-19 14:39 Lego_CS Note Added: 0006710
2013-07-19 14:39 Lego_CS Note Edited: 0006710 View Revisions
2013-07-19 19:05 Konar6 Note Added: 0006711
2013-07-20 01:27 Blzut3 Relationship added related to 0001070
2013-07-21 07:13 Torr Samaho Note Added: 0006718
2013-07-21 07:14 Torr Samaho Assigned To => Torr Samaho
2013-07-21 07:14 Torr Samaho Status new => assigned
2013-07-21 20:05 Torr Samaho Note Added: 0006741
2013-07-21 20:05 Torr Samaho Product Version => 1.1.1
2013-07-21 20:07 Torr Samaho Status assigned => resolved
2013-07-21 20:07 Torr Samaho Resolution open => fixed
2013-07-21 20:07 Torr Samaho Fixed in Version => 1.2
2018-09-30 21:34 Blzut3 Status resolved => closed






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker